<?php

namespace FiloBlu\Flow\Model\Parser\Filters;

/**
 * Class Concat
 * @package FiloBlu\Flow\Model\Parser\Filters
 */
class Concat extends AbstractFilter
{

    /**
     * @param $value
     * @param $args
     * @return mixed|string
     */
    public function filter($value, $args)
    {

        $row_to_concat = $args['rows'];
        $separator = $args['separator'];

        if (!is_array($row_to_concat) || empty($row_to_concat)) {
            return $value;
        }

        $row = $this->getRow();

        foreach ($row_to_concat as $rowc) {
            if (isset($row[(int)$rowc]) && $row[(int)$rowc] != '') {
                $row_mapped[] = $row[(int)$rowc];
            }
        }

        if (!count($row_mapped)) {
            return $value;
        }

        $value = implode($separator, $row_mapped);

        return $value;
    }
}